Prerequisites for the BeyondTrust Privileged Remote Access Integration with RED IM

 

You must purchase this integration separately from both your BeyondTrust software and your RED IM solution. For more information, contact BeyondTrust sales.

To complete this integration, please ensure that you have the necessary software installed and configured as indicated in this guide, accounting for any network considerations. The integration is provided in the form of a plugin (ZIP archive containing the necessary DLL files and other supporting files) for use within BeyondTrust's Endpoint Credential Manager (ECM). Please ensure you have acquired the proper version of the ECM to be compliant with the version of BeyondTrust Privileged Remote Access in use, and install the ECM according to the instructions in Configure the RED IM Plugin for Integration with BeyondTrust Privileged Remote Access.

Applicable Versions

  • BeyondTrust Privileged Remote Access: 15.x and newer
  • RED IM: 5.4.0 and newer

Network Considerations

The following network communication channels must be open for the integration to work properly.

Outbound From Inbound To TCP Port # Purpose
ECM Server BeyondTrust Appliance 443 ECM calls to the BeyondTrust API.
ECM Server RED IM

443

ECM calls to RED IM.